<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$config_siteinfo=10;

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$privat=trim($udata[10]);}

if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){
	
if(!isset($action)){	

echo'<img src="../images/img/menu.gif" alt=""> <b> Информация о портале</b><br><br>';

echo'Используемая версия: '.$motor_version.'<br><br>';
$file = file("http://visavi.net/news/version.txt");
$file = implode("", $file);
$file=preg_replace ("|[\r\n]+|si","<br>",$file);
echo '<i>'.$file.'</i>';

echo'<br><br><img src="../images/img/reload.gif" alt=""> <a href="siteinfo.php?action=changes&amp;'.SID.'">Все изменения</a><br>';
}


if($action=="changes"){
echo'<img src="../images/img/menu.gif" alt=""> <b>Готовящиеся изменения</b><br><br>';	

$file = file_get_contents("http://visavi.net/news/changes.txt");
$file = explode("|",$file);

$file = array_reverse($file);
$total = count($file);    
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $config_siteinfo){ $end = $total; }
else {$end = $start + $config_siteinfo; }
for ($i = $start; $i < $end; $i++){

$data = explode("|",$file[$i]);

echo $data[0].'<hr>';

} 
if ($start != 0) {echo '<a href="siteinfo.php?start='.($start - $config_siteinfo).'&amp;action=changes&amp;'.SID.'">&lt;-Назад </a> ';}else{echo'&lt;-Назад ';}
echo'|'; 
if ($total > $start + $config_siteinfo) {echo ' <a href="siteinfo.php?start='.($start + $config_siteinfo).'&amp;action=changes&amp;'.SID.'"> Далее-&gt;</a>';}else{echo' Далее-&gt;';}

if($total>0){

$ba=ceil($total/$config_siteinfo);
$ba2=$ba*$config_siteinfo-$config_siteinfo;

echo '<br><hr>Страницы:';
$asd=$start-($config_siteinfo*3);
$asd2=$start+($config_siteinfo*4);

if($asd<$total && $asd>0){echo ' <a href="siteinfo.php?start=0&amp;action=changes&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_siteinfo);

if ($start==$i) {
echo ' <b>('.$ii.')</b>';
               } else {
echo ' <a href="siteinfo.php?start='.$i.'&amp;action=changes&amp;'.SID.'">'.$ii.'</a>';
                     }}


$i=$i+$config_siteinfo;}
if($asd2<$total){echo ' ... <a href="siteinfo.php?start='.$ba2.'&amp;action=changes&amp;'.SID.'">'.$ba.'</a>';}
}



echo'<br><br><img src="../images/img/reload.gif" alt=""> <a href="siteinfo.php?'.SID.'">Вернуться</a><br>';
}
	
echo'<img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?error&".SID);}
} else {header ("Location: ../index.php?error&".SID);}

include_once"../themes/$config_themes/foot.php";
?>
